%define ver  0.8.16
%define rel  1
%define jobs 5

Name:          nodejs
Version:       %{ver}
Release:       %{rel}
Summary:       Node's goal is to provide an easy way to build scalable network programs.
Group:         Applications/Internet
License:       Copyright Joyent, Inc. and other Node contributors.
URL:           http://nodejs.org
Source0:       http://nodejs.org/dist/v%{version}/node-v%{version}.tar.gz
Patch0:        nodejs-lib64path.patch
Patch1:        nodejs-devel-lib64path.patch
Patch2:        nodejs-libpath.patch
Patch3:        node-v0.8.12_missing_include.patch
BuildRoot:     %{buildroot}
 
BuildRequires: python26
 
%description
Node.js is a server-side JavaScript environment that uses an asynchronous
event-driven model. This allows Node.js to get excellent performance based on
the architectures of many Internet applications.
 
%prep
%setup -q -n node-v%{version}
%if %{_lib} == "lib64"
%patch0
%patch1
%else
%patch2
%endif
%patch3

%build
export JOBS=%{jobs}
export PYTHON=python26
python26 ./configure --prefix=/usr
make %{?_smp_mflags}
 
%install
rm -rf %{buildroot}
export PYTHON=python26
make install DESTDIR=%{buildroot}
 
%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*
%{_prefix}/share/man/*

%clean
rm -rf %{buildroot}
